# Visualization
TKV3d
SelectMgr

# SelectMgr_CompareResults Class Reference

`#include <SelectMgr_CompareResults.hxx>`

## Public Member Functions

| SelectMgr_CompareResults (const SelectMgr_IndexedDataMapOfOwnerCriterion &aMapOfCriterion)
Standard_Boolean | IsLower (const Standard_Integer &, const Standard_Integer &) const
Standard_Boolean | IsGreater (const Standard_Integer &, const Standard_Integer &) const

## Private Attributes

const SelectMgr_IndexedDataMapOfOwnerCriterion & | myMapOfCriterion

## Constructor & Destructor Documentation

SelectMgr_CompareResults::SelectMgr_CompareResults | ( | const SelectMgr_IndexedDataMapOfOwnerCriterion & | aMapOfCriterion | ) | `[inline]`

## Member Function Documentation

Standard_Boolean SelectMgr_CompareResults::IsGreater | ( | const Standard_Integer & | ,
|  | const Standard_Integer & |
| ) | const`[inline]`

Standard_Boolean SelectMgr_CompareResults::IsLower | ( | const Standard_Integer & | ,
|  | const Standard_Integer & |
| ) | const`[inline]`

## Field Documentation

const SelectMgr_IndexedDataMapOfOwnerCriterion& SelectMgr_CompareResults::myMapOfCriterion `[private]`

The documentation for this class was generated from the following file:

- SelectMgr_CompareResults.hxx